Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.process.workitem.webservice
Class WebServiceCommand

    java.lang.Object
      org.jbpm.process.workitem.webservice.WebServiceCommand

All Implemented Interfaces:
  org.kie.internal.executor.api.Command, org.kie.internal.runtime.Cacheable

    public class WebServiceCommand

extends Object
implements org.kie.internal.executor.api.Command, org.kie.internal.runtime.Cacheable

Web Service executor command that executes web service call using Apache CXF. It expects following parameters to be able to operate:

- Interface - valid interface/service name of the web service (port type name from wsdl)
- Operation - valid operation name
- Parameter - object that is going to be used as web service message
- Url - location of the wsdl file used to look up service definition
- Namespace - name space of the web service
- Endpoint - overrides the endpoint address defined in the referenced WSDL.

Web service call is synchronous but since it's executor command it will be invoked as asynchronous task any way.

Constructor Summary
`WebServiceCommand()`

Method Summary
`void` | `close()`
`org.kie.internal.executor.api.ExecutionResults` | `execute(org.kie.internal.executor.api.CommandContext ctx)`
`protected org.apache.cxf.endpoint.dynamic.DynamicClientFactory` | `getDynamicClientFactory()`
`protected org.apache.cxf.endpoint.Client` | `getWSClient(WorkItem workItem, String interfaceRef)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebServiceCommand

    public WebServiceCommand()

Method Detail

### execute

    public org.kie.internal.executor.api.ExecutionResults execute(org.kie.internal.executor.api.CommandContext ctx)
                                                           throws Exception

  Specified by:
    `execute` in interface `org.kie.internal.executor.api.Command`
  Throws:
    `Exception`

### getWSClient

    protected org.apache.cxf.endpoint.Client getWSClient(WorkItem workItem,
                                                         String interfaceRef)

### getDynamicClientFactory

    protected org.apache.cxf.endpoint.dynamic.DynamicClientFactory getDynamicClientFactory()

### close

    public void close()

  Specified by:
    `close` in interface `org.kie.internal.runtime.Cacheable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.